#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%bcond		test		0
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	python-attrs
Version		:	22.1.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Python attributes without boilerplate

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://www.attrs.org/
			#https://github.com/python-attrs/attrs/releases

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-pep517
BuildRequires	:	python-installer
BuildRequires	:	python-wheel


%if %{with test}
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-hypothesis
BuildRequires	:	python3-hatchling
BuildRequires	:	python3-pathspec
#BuildRequires	:	python-sortedcontainers
#BuildRequires	:	python3-pytest
#BuildRequires	:	python3-zope-interface
%endif

Requires	:	%{__python}

Provides	:	%{sname}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
attrs is an MIT-licensed Python package with class decorators that
ease the chores of implementing the most common attribute-related
object protocols.
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python3_sitelib}/attr/*.py
%{python3_sitelib}/attr/py.typed
%{python3_sitelib}/attr/*.pyi
%{python3_sitelib}/attr/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.pyi
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
PYTHONPATH=build/lib pytest
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
